curl --request GET \
--url https://api.leadping.ai/organizations/me/options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/organizations/me/options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/organizations/me/options");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/organizations/me/options")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/organizations/me/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/organizations/me/options"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/organizations/me/options",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"id": "<string>",
"name": "<string>",
"role": "Owner",
"isCurrent": true,
"lastUsedAt": "2023-11-07T05:31:56Z",
"organizationStatus": "SettingUp",
"activationStatus": "DraftOnboarding",
"tenDlcStatus": "NotStarted",
"needsAdminReview": true,
"activationSummary": "<string>",
"hasPaymentMethod": true,
"readyForCustomerTraffic": true
}
]{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}List organization switch options
Lists organizations the authenticated user can switch into, including membership role and current-organization selection data.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Response
Returns the list of organization switch option.
Unique Leadping identifier for this organization switch option.
The human-readable name shown for this organization switch option.
Identifies an organization member's access level and permission scope within Leadping.
Owner, Admin, Agent Whether this organization switch option is current.
UTC timestamp for last used at on this organization switch option.
Describes an organization's account lifecycle and whether it can actively use Leadping services.
SettingUp, SetupCompleted, Active Summarizes an organization's overall progress from initial Leadping onboarding through launch readiness.
DraftOnboarding, PaymentMethodPending, PaymentMethodConfirmed, SubscriptionPending, SubscriptionReceived, SubscriptionActive, LaunchReviewPending, TelephonyProvisioningPending, TelephonyPartiallyProvisioned, TelephonyReady, AwaitingReview, DomainSelection, WebsiteSetup, ComplianceRegistration, ReadyForApproval, Active, Failed, Blocked, BlockedRequiresOperatorAction, ManuallyBypassed Describes an organization's overall 10DLC registration lifecycle across brand and messaging campaign submission.
NotStarted, DraftGenerated, DraftIncomplete, ReadyToSubmit, Submitted, PendingTelnyxReview, Approved, Rejected, NeedsChanges, ResubmissionReady, Failed Whether needs admin review applies to this organization switch option.
Activation summary for this organization switch option.
Whether the organization has a default billing payment method.
Whether ready for customer traffic applies to this organization switch option.

